Subject: Re: bug#26911: 25.2; eshell "cd .." doesn't work correctly with TRAMP

From: Michael Albinus <[email-masked]>
Date: Sun, 30 Aug 2020 11:46:53 +0200

Eli Zaretskii <[email-masked]> writes:

Hi Eli,

> This variant seems to work:
>
>   REMOTE_TEMPORARY_FILE_DIRECTORY=/plink:user@host:/tmp make lisp/net/tramp-tests
>
> Most of the tests are "skipped", but the one you were interested in
> isn't skipped, and indeed fails:
>
>   Test tramp-test05-expand-file-name condition:
>       (ert-test-failed
>        ((should
> 	 (string-equal
> 	  (expand-file-name "/method:host:/path/.")
> 	  (if ... "/method:host:/path/" "/method:host:/path")))
> 	:form
> 	(string-equal "/method:host:/path" "/method:host:/path/")
> 	:value nil))
>      FAILED  12/70  tramp-test05-expand-file-name (0.000000 sec)

This is as expected, thanks.

I'm a little bit undecided whether I do special-case the test for
running on MS Windows, or whether I wait that it will be fixed. WDYT?

> HTH

Best regards, Michael.